Update iPhone 4.0.1 to 4.2.1 and preserve 1.59.00 basband?

Discussion in 'Jailbreaks and iOS Hacks' started by cudo, Nov 30, 2010.

  1. cudo, Nov 30, 2010
    Last edited: Nov 30, 2010

    cudo macrumors regular

    Joined:
    Dec 6, 2007
    Location:
    w bloku
    #1
    Hi,

    im on iPhone 4 with 4.0.1 (basband 1.59.00) Id like to update to to 4.2.1 - i dont care about the JB at the moment but I want to stay with my basband so I can go back to my old JBroken firmware just in case.

    I did google a lot but I am confused with all thats methods and tutorials around. I do have my blobs saved with tinyumbrella from 4.0.1 plus i guess they are saved with cydia as well.

    So the question is can I just simply update with iTunes or do i need to go trough some tutorial. Please help!

    Just in case you wonder why? I am jeilbroken now but iPhone is so sluggish so I want to see if I can live without JB but dont want to lose the option in future :D

    Thanks in advance. BTW, Im on a Mac 10.6.4
     
  2. thelatinist macrumors 603

    thelatinist

    Joined:
    Aug 15, 2009
    Location:
    Connecticut, USA
    #2
    This is not a how-to. You really shouldn't label it as such.

    As for upgrading, you can TinyUmbrella to preserve your baseband while you upgrade to 4.1. This WILL NOT WORK to upgrade to 4.2 and will leave your phone unable to boot. There is currently no way to upgrade to 4.2 and preserve your baseband. iPhone 4 users who will ever wish to unlock should wait for new tools to be released.
     
  3. cudo thread starter macrumors regular

    Joined:
    Dec 6, 2007
    Location:
    w bloku
  4. thelatinist macrumors 603

    thelatinist

    Joined:
    Aug 15, 2009
    Location:
    Connecticut, USA
    #4
    1) That will not preserve your baseband.
    2) That will leave you with a tethered jailbreak (your phone will not be able to boot without the help of a computer).

    Seriously, there is nothing in 4.2.1 that justifies giving up your untethered jailbreak or your ability to unlock.
     
  5. cudo thread starter macrumors regular

    Joined:
    Dec 6, 2007
    Location:
    w bloku
    #5
    thanks a lot. Ill stick with 4.0.1 for the moment.
     
  6. Maverick1337 macrumors 65816

    Maverick1337

    Joined:
    Nov 4, 2008
    #6
    But..but..I want to be able to search for a word in Safari!

    On a more serious note, if you want to jailbreak or even in the future unlock your phone, don't touch 4.2.1 especially if it's tethered.
     
  7. iMrNiceGuy0023 macrumors 68000

    Joined:
    Jun 5, 2009
    #7
    I want to preserve my 4.0 baseband on my 3GS and upgrade it to 4.2.1. its already jailbroken, what are the steps to do this?
     
  8. XxpikachuxX macrumors 6502

    Joined:
    Jan 24, 2009
    #8
    hey wtf i have an iphone 4 with 4.2.1 and baseband 1.59.00 i used panwage tool wtf r u guys talking about?
     
  9. fsck-y dingo macrumors 65816

    fsck-y dingo

    Joined:
    Jun 14, 2009
    #9
    You can do that now but back in November of 2010 you couldn't. It's an old thread. :)
     

Share This Page